#app {
    display: flex;
    height: calc(100% - 1.875rem);
    overflow: hidden;
}
.carousel {
    padding: 1.5rem;
    width: 56%;
}

.carousel .carousel-list {
    width: 100%;
    height: calc(100% - 7rem);
}

.carousel .carousel-list img {
    width: 100%;
    height: 100%;
}

.carousel .carousel-bottom-content {
    text-align: center;
    padding: 2rem 0 1.5rem 0;
}

.triangle-box {
    position: relative;
}

.triangle-box > span {
    display: inline-block;
    width: 0;
    height: 0;
    border-style: solid;
    border-color: transparent transparent #0E54F5 transparent;
}

.triangle-box > .triangle-top {
    border-width: 0 3px 6px 3px;
    rotate: 40deg;
}

.triangle-box > .triangle-bottom {
    border-width: 0 2px 3px 2px;
    rotate: -28deg;
    position: absolute;
    right: -2px;
    top: -3px;
}

.carousel .carousel-bottom-content .arrow {
    display: inline-block;
    width: 5.5rem;
    height: 0.125rem;
    background: #0E54F5;
    position: relative;
}

.carousel .carousel-bottom-content .arrow::after {
    content: '';
    position: absolute;
    top: -3px;
    right: -10px;
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 9px solid #0E54F5;
    rotate: -90deg;
}

.carousel-text {
    font-size: 2rem;
    font-weight: bold;
    letter-spacing: 0.25rem;
}

.carousel-switch-content {
    display: flex;
    column-gap: 0.75rem;
    justify-content: center;
    margin-top: 1.625rem;
}

.carousel-switch-content span {
    width: 4.25rem;
    height: 0.5rem;
    background: #C5CAD5;
    border-radius: 0.3125rem;
}

.carousel-switch-content span.current {
    width: 5.5rem;
    background: #0E54F5;
}

.login-main {
    width: 44%;
    padding: 0 7.5rem;
    position: relative;
    display: flex;
    flex-flow: column;
    justify-content: center;
    flex: 1;
}

.login-main .logo {
    width: 3.4375rem;
    height: 3.4375rem;
    margin-right: 1.125rem;
}

.login-main .system-name {
    font-size: 2rem;
    color: #0E54F5;
    margin-right: 2.75rem;
    font-weight: bold;
}

.login-main .welcome {
    font-size: 3rem;
    color: #000A25;
    font-weight: bold;
    margin-top: 1.5rem;
}

.login-main .banner {
    position: absolute;
    top: -9.125rem;
    right: 0;
    max-width: 100%;
    height: auto;
    width: 16rem;
    height: 22.9375rem;
}

.login-main .ant-form {
    margin-top: 3.75rem;
}

.login-main .ant-form .ant-form-item:not(:last-child) {
    margin-bottom: 2.25rem;
}

.login-main .ant-form-item-control .ant-input {
    height: 3.75rem;
    background: #F3F5F5;
    box-shadow: 0 0 0.25rem 0.0625rem rgba(234,234,241,0.65);
    border-radius: 0.5rem;
    font-size: 1.25rem;
}

.login-main .ant-form-item-control .ant-input:focus, .login-main .ant-form-item-control .ant-input:hover {
    border-color: #0E54F5;
}

.login-main .ant-form-item-control .ant-input::placeholder {
    color: #858A9D;
}

.login-main .ant-form .ant-form-item.verify-code .ant-form-item-children {
    display: flex;
    align-items: center;
}

.login-main .ant-form .ant-form-item.verify-code .ant-form-item-children .ant-input-affix-wrapper {
    flex: 1;
}

.login-main .ant-form .ant-form-item.verify-code .ant-form-item-children .refresh-code {
    color: #0E54F5;
}
.login-btn-item {
    margin: 4rem 0 1.25rem;
}

.login-main .login-btn {
    width: 100%;
    height: 4rem;
    border-radius: 0.5rem;
    background: #0E54F5;
    font-size: 1.5rem;
}

.checkbox .ant-checkbox-checked .ant-checkbox-inner {
    background: #0E54F5;
    border-color: #0E54F5;
}

.register-btn {
    cursor: pointer;
    color: #0E54F5;
}

#footer {
    position: fixed;
    bottom: 0.75rem;
    left: 0;
    width: 100%;
    text-align: center;
    font-size: 0.75rem;
    color: #858A9D;
}

#footer a:not(:hover), #footer .fc-blue {
    color: #598eff;
}

#footer .record {
    margin-left: 0.625rem;
}

#footer .record img {
    width: 1rem;
    position: relative;
    top: -0.0625rem;
}

.u-fc-blue {
    color: #0E54F5;
}

.u-mt-16 {
    margin-top: 1rem;
}

.u-flex {
    display: flex;
}

.justify-center {
    justify-content: center;
}

.items-center {
    align-items: center;
}

.u-relative {
    position: relative;
}

.u-text-c {
    text-align: center;
}

@media screen and (max-width: 1280px) {
    .login-main .banner {
        width: 16rem;
        height: auto;
    }

    .login-main {
        padding: 0 5rem;
    }

    .carousel {
        width: 50%;
    }
}

@media screen and (max-width: 1024px) {
    .login-main .banner {
        width: 14rem;
        height: auto;
        top: -8rem;
    }

    .login-main .welcome {
        font-size: 2.5rem;
    }

    .login-main .system-name {
        font-size: 1.75rem;
        margin-right: 2rem;
    }
}

@media screen and (max-width: 768px) {
    #app {
        flex-direction: column;
        height: auto;
    }

    .carousel {
        width: 100%;
        height: 30rem;
    }

    .login-main {
        width: 100%;
        padding: 3rem;
        justify-content: flex-start;
    }

    .login-main .banner {
        position: static;
        max-width: 100%;
        height: auto;
        width: auto;
        margin: 2rem 0;
    }

    .login-main .welcome {
        text-align: center;
        margin-top: 2rem;
    }

    .login-main .system-name {
        text-align: center;
        margin-right: 0;
        margin-bottom: 1rem;
    }

    .u-flex {
        justify-content: center;
        flex-wrap: wrap;
    }
}